import httpClient from '@/services/http'
import { CommonFetchOptions } from '@/services/http/types'

/**
 * 获取机构开户列表信息
 */
export function queryWskhUserinfo(options: CommonFetchOptions<{ request: Member.WskhUserinfoReq; response: Member.MemberDetail[]; }>) {
    return httpClient.commonRequest('/wskhUserinfo/query', 'get', options)
}

/**
 * 获取机构开户列表详情信息
 */
export function queryWskhUserinfoDetail(options: CommonFetchOptions<{ request: Member.WskhUserinfoDetailReq; response: Member.MemberDetail; }>) {
    return httpClient.commonRequest('/wskhUserinfo/queryDetail', 'get', options)
}

/**
 * 处理开户信息 新增、修改
 */
export function wskhUserinfoAdd(options: CommonFetchOptions<{ request: Partial<Member.MemberDetail>; }>) {
    return httpClient.commonRequest('/wskhUserinfo/add', 'post', options)
}

/**
 * 审核通过
 */
export function wskhUserinfoApproved(options: CommonFetchOptions<{ request: Partial<Member.MemberDetail>; }>) {
    return httpClient.commonRequest('/wskhUserinfo/approved', 'post', options)
}

/**
 * 撤回提交的待审核信息
 */
export function wskhUserinfoReBack(options: CommonFetchOptions<{ request: Member.WskhUserinfoReBackReq; }>) {
    return httpClient.commonRequest('/wskhUserinfo/reBack', 'get', options)
}

/**
 * 删除待提交的开户申请
 */
export function wskhUserinfoDelete(options: CommonFetchOptions<{ request: Member.WskhUserinfoDeleteReq; }>) {
    return httpClient.commonRequest('/wskhUserinfo/delete', 'get', options)
}

/**
 * 获取机构及所有子机构
 */
export function getAreaAndAllChilds(options: CommonFetchOptions<{ request: Member.AreaAndAllChildsReq; response: Member.AreaAndAllChildsRsp[]; }>) {
    return httpClient.commonRequest('/common/getAreaAndAllChilds', 'get', options)
}

/**
 * 会员机构管理-->子机构管理-->新增
 */
export function organSonAdd(options: CommonFetchOptions<{ request: Partial<Member.OrganSonUpdateReq>; }>) {
    return httpClient.commonRequest('/organSon/addsonorgan', 'post', options)
}

/**
 * 会员机构管理-->子机构管理-->保存
 */
export function organSonSave(options: CommonFetchOptions<{ request: Partial<Member.OrganSonUpdateReq>; }>) {
    return httpClient.commonRequest('/organSon/edit', 'post', options)
}

/**
 * 会员机构管理-->子机构管理-->修改
 */
export function organSonEdit(options: CommonFetchOptions<{ request: Partial<Member.OrganSonUpdateReq>; }>) {
    return httpClient.commonRequest('/organSon/editsonorgan', 'post', options)
}

/**
 * 会员机构管理-->子机构管理-->注销
 */
export function organSonDelete(options: CommonFetchOptions<{ request: Member.OrganSonDeleteReq; }>) {
    return httpClient.commonRequest('/organSon/delete', 'get', options)
}

/**
 * 会员机构管理-->子机构管理-->获取机构列表
 */
export function queryOrganSon(options: CommonFetchOptions<{ request: Member.OrganSonReq; response: Member.OrganSonRsp[]; }>) {
    return httpClient.commonRequest('/organSon/query', 'get', options)
}

/**
 * 会员机构管理-->子机构管理-->撤回
 */
export function organSonRebackChange(options: CommonFetchOptions<{ request: Member.OrganSonRebackChangeReq; }>) {
    return httpClient.commonRequest('/organSon/rebackChange', 'get', options)
}

/**
 * 会员机构管理-->子机构管理-->恢复
 */
export function organSonRecover(options: CommonFetchOptions<{ request: Member.OrganSonRecoverReq; }>) {
    return httpClient.commonRequest('/organSon/recover', 'get', options)
}

/**
 * 会员机构管理-->子机构管理-->机构详情
 */
export function organSonViewson(options: CommonFetchOptions<{ request: Member.OrganSonViewsonReq; response: Member.OrganSonViewsonRsp; }>) {
    return httpClient.commonRequest('/organSon/viewson', 'get', options)
}

/**
 * 会员机构管理-->机构管理-->机构资料管理-->获取机构资料列表
 */
export function queryOrganDetailList(options: CommonFetchOptions<{ request: Member.OrganDetailListReq; response: Member.OrganDetailListRsp[]; }>) {
    return httpClient.commonRequest('/organDetail/query', 'get', options)
}

/**
 * 会员机构管理-->机构管理-->机构资料管理-->获取机构资料详情信息
 */
export function queryOrganDetail(options: CommonFetchOptions<{ request: Member.OrganDetailReq; response: Member.OrganDetailRsp; }>) {
    return httpClient.commonRequest('/organDetail/queryDetail', 'get', options)
}

/**
 * 会员机构管理-->机构管理-->机构资料管理-->修改
 */
export function editOrgan(options: CommonFetchOptions<{ request: Partial<Member.EditOrganReq>; }>) {
    return httpClient.commonRequest('/organDetail/editorgan', 'post', options)
}

/**
 * 会员机构管理-->机构管理-->机构资料管理-->注销
 */
export function organDetailLogout(options: CommonFetchOptions<{ request: Member.OrganDetailLogoutReq; }>) {
    return httpClient.commonRequest('/organDetail/logout', 'get', options)
}

/**
 * 会员机构管理-->机构管理-->机构资料管理-->恢复
 */
export function organDetailRecover(options: CommonFetchOptions<{ request: Member.OrganDetailRecoverReq; }>) {
    return httpClient.commonRequest('/organDetail/recover', 'get', options)
}

/**
 * 会员机构管理-->机构管理-->商品限制设置--> 新增、修改
 */
export function addLimit(options: CommonFetchOptions<{ request: Member.AddLimitReq; }>) {
    return httpClient.commonRequest('/organDetail/addlimit', 'post', options)
}

/**
 * 会员机构管理-->机构管理-->商品限制设置--> 删除
 */
export function delLimit(options: CommonFetchOptions<{ request: Member.DelLimitReq; }>) {
    return httpClient.commonRequest('/organDetail/dellimit', 'get', options)
}

/**
 * 会员机构管理-->机构管理-->商品限制设置-->获取列表
 */
export function queryMemberGoodsLimit(options: CommonFetchOptions<{ request: Member.MemberGoodsLimitReq; response: Member.MemberGoodsLimitRsp[]; }>) {
    return httpClient.commonRequest('/organDetail/querymembergoodslimit', 'get', options)
}

/**
 * 会员机构管理-->机构管理-->风控个性化设置--> 新增
 */
export function addAccountRiskConfig(options: CommonFetchOptions<{ request: Partial<Member.AddAccountRiskConfigReq>; }>) {
    return httpClient.commonRequest('/organDetail/addaccountriskconfig', 'post', options)
}

/**
 * 会员机构管理-->机构管理-->风控个性化设置-->详情
 */
export function accountRiskConfigview(options: CommonFetchOptions<{ request: Member.AccountRiskConfigViewReq; response: Member.AccountRiskConfigViewRsp; }>) {
    return httpClient.commonRequest('/organDetail/accountriskconfigview', 'get', options)
}

/**
 * 会员机构管理-->机构管理-->风控个性化设置-->获取列表
 */
export function queryAccountRiskConfig(options: CommonFetchOptions<{ request: Member.AccountRiskConfigReq; response: Member.AccountRiskConfigRsp[]; }>) {
    return httpClient.commonRequest('/organDetail/accountriskconfig', 'get', options)
}

/**
 * 会员机构管理-->机构管理-->会员机构查询-->获取列表(营销中心查看经纪会员)
 */
export function queryRole(options: CommonFetchOptions<{ request: Member.OrganRoleReq; response: Member.OrganRoleRsp[]; }>) {
    return httpClient.commonRequest('/organDetail/queryrole', 'get', options)
}

/**
 * 会员机构管理-->机构管理-->机构详情 ( rolename: 2--运营 operate * 3--营销 marketing * 4--仓库 warehouse * 5--三方 tpart * 6--自营 selfsupport * 7--经纪 broker * 8--做市 marketer * 9--产业 industry)
 */
export function queryRoleDetail(options: CommonFetchOptions<{ request: Member.OrganRoleDetailReq; response: Member.OrganRoleDetailRsp; }>) {
    return httpClient.commonRequest('/organDetail/queryroleDetail', 'get', options)
}

/**
 * 会员机构管理-->机构管理-->机构角色删除
 */
export function deleteOrganRole(options: CommonFetchOptions<{ request: Member.OrganRoleDeleteReq; }>) {
    return httpClient.commonRequest('/organDetail/del', 'get', options)
}

/**
 * 会员机构管理-->机构管理-->风控个性化设置--> 删除
 */
export function deleteAccountRiskConfig(options: CommonFetchOptions<{ request: Member.DeleteAccountRiskConfigReq; }>) {
    return httpClient.commonRequest('/organDetail/delaccountriskconfig', 'get', options)
}

/**
 * 会员机构管理-->机构管理-->机构资料管理-->资金账户-->获取列表
 */
export function organTaaccount(options: CommonFetchOptions<{ request: Member.OrganTaaccountReq; response: Member.OrganTaaccountRsp[]; }>) {
    return httpClient.commonRequest('/organDetail/organTaaccount', 'get', options)
}

/**
 * 会员机构管理-->机构管理-->机构资料管理-->资金账户-->详情
 */
export function organTaaccountDetail(options: CommonFetchOptions<{ request: Member.OrganTaaccountDetailReq; response: Member.OrganTaaccountDetailRsp; }>) {
    return httpClient.commonRequest('/organDetail/organTaaccountDetail', 'get', options)
}

/**
 * 会员机构管理-->机构管理-->机构资料管理-->资金账户-->签解约流水
 */
export function querySignlog(options: CommonFetchOptions<{ request: Member.SignlogReq; response: Member.SignlogRsp[]; }>) {
    return httpClient.commonRequest('/organDetail/querySignlog', 'get', options)
}

/**
 * 会员机构管理-->机构管理-->机构资料管理-->资金账户-->修改
 */
export function taaccountEdit(options: CommonFetchOptions<{ request: Member.TaaccountEditReq; }>) {
    return httpClient.commonRequest('/organDetail/taaccountedit', 'post', options)
}

/**
 * 会员机构管理-->机构管理-->机构资料管理-->资金账户-->重置密码
 */
export function taaccountResetPwd(options: CommonFetchOptions<{ request: Member.TaaccountResetPwdReq; }>) {
    return httpClient.commonRequest('/organDetail/resetPwd', 'get', options)
}

/**
 * 会员机构管理-->机构管理-->机构资料管理-->登录账号-->获取列表
 */
export function queryorgan2User(options: CommonFetchOptions<{ request: Member.Organ2UserReq; response: Member.Organ2UserRsp[]; }>) {
    return httpClient.commonRequest('/organDetail/queryorgan2User', 'get', options)
}

/**
 * 会员机构管理-->机构管理-->机构资料管理-->登入账号-->启用/停用
 */
export function updateStatusByAutoId(options: CommonFetchOptions<{ request: Member.UpdateStatusByAutoIdReq; }>) {
    return httpClient.commonRequest('/organDetail/updatestatusbyautoid', 'get', options)
}

/**
 * 会员机构管理-->机构管理-->机构资料管理-->登入账号-->全部启用/全部停用
 */
export function updateOrgan2User(options: CommonFetchOptions<{ request: Member.UpdateOrgan2UserReq; }>) {
    return httpClient.commonRequest('/organDetail/updateorgan2User', 'get', options)
}

/**
 * 会员机构管理-->机构管理-->机构资料管理-->登录账号-->重置登入密码
 */
export function updateStatus(options: CommonFetchOptions<{ request: Member.UpdateStatusReq; }>) {
    return httpClient.commonRequest('/organDetail/updateStatus', 'get', options)
}

/**
 * 会员机构管理-->机构管理-->机构资料管理-->自营会员终端登录账号-->获取列表
 */
export function queryselfsupport(options: CommonFetchOptions<{ request: Member.SelfSupportReq; response: Member.SelfSupportRsp[]; }>) {
    return httpClient.commonRequest('/organDetail/queryselfsupport', 'get', options)
}

/**
 * 会员机构管理-->机构管理-->机构资料管理-->自营会员终端登录账号-->重置登录密码
 */
export function selfsupportresetPwd(options: CommonFetchOptions<{ request: Member.SelfSupportResetPwdReq; }>) {
    return httpClient.commonRequest('/organDetail/selfsupportresetPwd', 'get', options)
}

/**
 * 会员机构管理-->机构管理-->机构资料管理-->自营会员终端登录账号-->锁定
 */
export function selfSupportLock(options: CommonFetchOptions<{ request: Member.SelfSupportLockReq; }>) {
    return httpClient.commonRequest('/organDetail/lockAccount', 'get', options)
}

/**
 * 会员机构管理-->子机构管理-->新增子机构审核-->获取机构列表
 */
export function queryOrganSonAudit(options: CommonFetchOptions<{ request: Member.OrganSonAuditReq; response: Member.OrganSonRsp[]; }>) {
    return httpClient.commonRequest('/organSon/queryaudit', 'get', options)
}

/**
 * 会员机构管理-->子机构管理-->新增子机构审核-->审核
 */
export function auditOrganSon(options: CommonFetchOptions<{ request: Member.AuditOrganSonReq; }>) {
    return httpClient.commonRequest('/organSon/auditorganson', 'get', options)
}

/**
 * 会员机构管理-->子机构管理-->子机构变更审核-->获取机构列表
 */
export function queryOrganSonModify(options: CommonFetchOptions<{ request: Member.OrganSonModifyReq; response: Member.OrganSonRsp[]; }>) {
    return httpClient.commonRequest('/organSon/queryOrganSonModify', 'get', options)
}

/**
 * 会员机构管理-->子机构管理-->子机构变更审核-->审核
 */
export function modifyAuditOrganSon(options: CommonFetchOptions<{ request: Member.AuditOrganSonReq; }>) {
    return httpClient.commonRequest('/organSon/modifyAudit', 'get', options)
}

/**
 * 会员机构管理-->子机构管理-->子机构转移-->获取机构列表
 */
export function queryOrganSonTransfer(options: CommonFetchOptions<{ request: Member.OrganSonTransferReq; response: Member.OrganSonTransferRsp[]; }>) {
    return httpClient.commonRequest('/organSon/queryOrganSonTransfer', 'get', options)
}

/**
 * 会员机构管理-->子机构管理-->子机构转移-->新增
 */
export function organSonTransferAdd(options: CommonFetchOptions<{ request: Partial<Member.OrganSonTransferAddReq>; }>) {
    return httpClient.commonRequest('/organSon/organSonTransferAdd', 'post', options)
}

/**
 * 会员机构管理-->子机构管理-->子机构转移-->新增-->获取转出子机构
 */
export function querySonOrganPageByLevel(options: CommonFetchOptions<{ request: Member.SonOrganPageByLevelReq; response: Member.SonOrganPageByLevelRsp[]; }>) {
    return httpClient.commonRequest('/organSon/querySonOrganPageByLevel', 'get', options)
}

/**
 * 会员机构管理-->子机构管理-->子机构转移-->撤销
 */
export function organSonBackTranfor(options: CommonFetchOptions<{ request: Member.OrganSonBackTranforReq; }>) {
    return httpClient.commonRequest('/organSon/backtranfor', 'get', options)
}

/**
 * 会员机构管理-->子机构管理-->子机构转移-->执行转移
 */
export function organSonExecuteTransfer(options: CommonFetchOptions = {}) {
    return httpClient.commonRequest('/organSon/executeTransfer', 'get', options)
}

/**
 * 会员机构管理-->机构管理-->账户个性化设置-->新增初始化列表信息
 */
export function loadSelectOption(options: CommonFetchOptions<{ request: Partial<Member.LoadSelectOptionReq>; response: Member.LoadSelectOptionRsp; }>) {
    return httpClient.commonRequest('/organDetail/loadSelectOption', 'get', options)
}

/**
 * 会员机构管理-->机构管理-->账户个性化设置-->新增
 */
export function tradeConfigAdd(options: CommonFetchOptions<{ request: Member.TradeConfigAddReq; }>) {
    return httpClient.commonRequest('/organDetail/tradeConfigAdd', 'post', options)
}

/**
 * 会员机构管理-->机构管理-->账户个性化设置-->修改
 */
export function tradeConfigEdit(options: CommonFetchOptions<{ request: Member.TradeConfigAddReq; }>) {
    return httpClient.commonRequest('/organDetail/tradeConfigEdit', 'post', options)
}

/**
 * 会员机构管理-->机构管理-->账户个性化设置--> 获取树结构
 */
export function createTree(options: CommonFetchOptions<{ response: Member.CreateTreeRsp[]; }>) {
    return httpClient.commonRequest('/organDetail/createTree', 'get', options)
}

/**
 * 会员机构管理-->机构管理-->账户个性化设置--> 详情
 */
export function OrganDetailTradeConfigView(options: CommonFetchOptions<{ request: Member.TradeConfigViewReq; response: Member.TradeConfigViewRsp; }>) {
    return httpClient.commonRequest('/organDetail/tradeConfigView', 'get', options)
}

/**
 * 会员机构管理-->机构管理-->新增、修改
 */
export function roleadd(options: CommonFetchOptions<{ request: Member.RoleAddReq; }>) {
    return httpClient.commonRequest('/organDetail/roleadd', 'post', options)
}

/**
 * 会员机构管理-->机构管理-->机构角色新增初始化
 */
export function initAdd(options: CommonFetchOptions<{ request: Member.InitAddReq; response: Member.InitAddRsp; }>) {
    return httpClient.commonRequest('/organDetail/initAdd', 'get', options)
}

/**
 * 会员机构管理-->机构管理-->获取角色权限信息
 */
export function getOragnDefaultManager(options: CommonFetchOptions<{ request: Member.OragnDefaultManagerReq; }>) {
    return httpClient.commonRequest('/organDetail/getOragnDefaultManager', 'get', options)
}